Get API public v1 live risk coins by coin
curl --request GET \
--url https://api.coinversa.ai/api/public/v1/live/risk/coins/{coin} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coinversa.ai/api/public/v1/live/risk/coins/{coin}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coinversa.ai/api/public/v1/live/risk/coins/{coin}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"availability": {
"historicalClearinghouse": true,
"liquidations": true,
"liveCandles": true,
"markPrices": true,
"userActions": true
},
"coin": "<string>",
"concentrationTop5": 123,
"freshness": {
"historicalClearinghouse": "<string>",
"liquidations": "<string>",
"liveCandles": "<string>",
"livePositions": "<string>",
"longShort": "<string>",
"markPrices": "<string>"
},
"generatedAt": "<string>",
"liquidationHeatmap": {
"buckets": [
{
"cumulativeLongNotional": 123,
"cumulativeShortNotional": 123,
"longNotionalAtRisk": 123,
"longPositions": 123,
"priceHigh": 123,
"priceLow": 123,
"shortNotionalAtRisk": 123,
"shortPositions": 123,
"totalNotionalAtRisk": 123
}
],
"coin": "<string>",
"currentPrice": 123,
"timestamp": 123,
"totalLongAtRisk": 123,
"totalShortAtRisk": 123,
"$schema": "<string>"
},
"liquidationSummary7d": {
"availability": {
"historicalClearinghouse": true,
"liquidations": true,
"liveCandles": true,
"markPrices": true,
"userActions": true
},
"avgClosedPnl": 123,
"avgPenaltyFee": 123,
"bucketSizeMs": 123,
"byCoin": [
{
"coin": "<string>",
"count": 123,
"totalClosedPnl": "<unknown>",
"totalPenaltyFees": "<unknown>"
}
],
"count": 123,
"freshness": {
"historicalClearinghouse": "<string>",
"liquidations": "<string>",
"liveCandles": "<string>",
"livePositions": "<string>",
"longShort": "<string>",
"markPrices": "<string>"
},
"generatedAt": "<string>",
"since": "<string>",
"timeline": [
{
"bucketStart": 123,
"count": 123,
"totalClosedPnl": "<unknown>",
"totalPenaltyFees": "<unknown>"
}
],
"totalClosedPnl": 123,
"totalPenaltyFees": 123,
"$schema": "<string>",
"coin": "<string>"
},
"longShort": {
"avgLongSize": 123,
"avgShortSize": 123,
"coin": "<string>",
"concentrationTop5": 123,
"longAccounts": 123,
"longUnrealizedPnl": 123,
"longVolume": 123,
"netBias": 123,
"ratio": 123,
"sampleSize": 123,
"shortAccounts": 123,
"shortUnrealizedPnl": 123,
"shortVolume": 123,
"timestamp": 123,
"topLongs": [
{
"address": "<string>",
"notional": 123,
"pnl": 123,
"size": 123
}
],
"topShorts": [
{
"address": "<string>",
"notional": 123,
"pnl": 123,
"size": 123
}
],
"totalUnrealizedPnl": 123,
"volumeRatio": 123,
"$schema": "<string>",
"avgLongLeverage": 123,
"avgShortLeverage": 123,
"maxLeverage": 123
},
"market": {
"avgLongLeverage": 123,
"avgShortLeverage": 123,
"coin": "<string>",
"longNotional": 123,
"longPositions": 123,
"shortNotional": 123,
"shortPositions": 123,
"totalOi": 123,
"totalPositions": 123,
"totalUnrealizedPnl": 123,
"uniqueWallets": 123
},
"nearLiquidationNotional": 123,
"nearLiquidationPositions": 123,
"recentLiquidations": [
{
"address": "<unknown>",
"closedPnl": 123,
"coin": "<string>",
"liquidator": "<unknown>",
"penaltyFee": 123,
"pnlTier": "<string>",
"timestampMs": 123
}
],
"sizeBreakdown": [
{
"longCount": 123,
"longNotional": 123,
"positionCount": 123,
"shortCount": 123,
"shortNotional": 123,
"sizeBucket": "<string>",
"sortOrder": 123,
"totalNotional": 123
}
],
"topPositions": [
{
"address": "<unknown>",
"coin": "<string>",
"entryPx": 123,
"fundingSinceOpen": 123,
"leverage": 123,
"leverageType": "<string>",
"liquidationPx": 123,
"marginUsed": 123,
"markPx": 123,
"notional": 123,
"openedAtRaw": 123,
"pOpenedAt": "<string>",
"pUpdatedAt": "<string>",
"pnlTier": "<string>",
"roe": 123,
"side": "<string>",
"size": 123,
"sizeTier": "<string>",
"traderTotalPnl": "<string>",
"traderTotalTrades": 123,
"traderWinRate": 123,
"unrealizedPnl": 123
}
],
"$schema": "<string>",
"avgLiquidationDistancePct": 123
}{
"$schema": "<string>",
"code": "<string>",
"current_tier": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"required_tier": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank",
"upgrade_url": "<string>"
}{
"$schema": "<string>",
"code": "<string>",
"current_tier": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"required_tier": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank",
"upgrade_url": "<string>"
}{
"$schema": "<string>",
"code": "<string>",
"current_tier": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"required_tier": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank",
"upgrade_url": "<string>"
}{
"$schema": "<string>",
"code": "<string>",
"current_tier": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"required_tier": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank",
"upgrade_url": "<string>"
}{
"$schema": "<string>",
"code": "<string>",
"current_tier": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"required_tier": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank",
"upgrade_url": "<string>"
}{
"$schema": "<string>",
"code": "<string>",
"current_tier": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"required_tier": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank",
"upgrade_url": "<string>"
}API Reference
Get API public v1 live risk coins by coin
GET
/
api
/
public
/
v1
/
live
/
risk
/
coins
/
{coin}
Get API public v1 live risk coins by coin
Authorizations
Get one at https://coinversa.ai/developers
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A URL to the JSON Schema for this object.
Example:
"https://api.coinversa.ai/schemas/CoinRiskSnapshotBody.json"
⌘I

